<div class="container">
  <!-- title row -->
  <h1 style="text-align: center">{{ title }}</h1>
  <br>
  <!-- input row -->
  <div class="row">
    <div class="col-lg-8 col-lg-offset-2">
      <div class="row">
        <div class="col-lg-4">
          <input (input)="onChange()" min="0" type="number" class="form-control" [(ngModel)]="operation.input1">
        </div>
        <div class="col-lg-2">
          <select (input)="onChange()" name="" id="" class="form-control" [(ngModel)]="operation.operator">
            <option value="+">+</option>
            <option value="-">-</option>
            <option value=":">:</option>
            <option value="x">x</option>
          </select>
        </div>
        <div class="col-lg-4">
          <input (change)="onChange()" min="0" type="number" class="form-control" [(ngModel)]="operation.input2">
        </div>
        <div class="col-lg-2">
          <button class="btn btn-primary" type="button" (click)="onSubmit()">Add to list</button>
        </div>
      </div>
    </div>
  </div>
  <br>
  <div class="row">
    <div class="col-lg-12">
      <h3 style="text-align: center">{{ total }}</h3>
    </div>
  </div>
  <hr>
  <!-- table row -->
  <table class="table table-bordered">
    <thead>
      <tr>
        <th>First Number</th>
        <th>Operator</th>
        <th>Second Number</th>
        <th>Value</th>
        <th>&nbsp;</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let op of operations; let i = index">
        <td> {{ op.input1 }}</td>
        <td>{{ op.operator }}</td>
        <td>{{ op.input2 }}</td>
        <td>{{ op.total() }}</td>
        <td>
          <button title="Remove row" class="btn btn-danger btn-sm" type="button" (click)="onRemove(i)">X</button>
        </td>
      </tr>
    </tbody>
  </table>
</div>
